E-MailRelay

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
GSmtp::NewFile Class Reference

A concrete derived class implementing the NewMessage interface. More...

`#include <gnewfile.h>`

Inheritance diagram for GSmtp::NewFile:

## Public Member Functions
| NewFile (FileStore &store, const std::string &from, const std::string &from_auth_in, const std::string &from_auth_out=std::string(), size_t max_size=0UL)
| Constructor. The FileStore reference is kept.
virtual | ~NewFile ()
| Destructor. More...
virtual void | addTo (const std::string &to, bool local) override
| Override from GSmtp::NewMessage.
virtual bool | addText (const char *, size_t) override
| Override from GSmtp::NewMessage.
virtual std::string | prepare (const std::string &auth_id, const std::string &peer_socket_address, const std::string &peer_certificate) override
| Override from GSmtp::NewMessage. More...
virtual void | commit (bool strict) override
| Override from GSmtp::NewMessage. More...
virtual unsigned long | id () const override
| Override from GSmtp::NewMessage.
G::Path | contentPath () const
| Returns the path of the content file.
Public Member Functions inherited from GSmtp::NewMessage
bool | addTextLine (const std::string &)
| A convenience function that calls addText() taking a string parameter. More...
virtual | ~NewMessage ()
| Destructor. More...

## Detailed Description

A concrete derived class implementing the NewMessage interface.

Writes itself to the i/o streams supplied by MessageStoreImp.

Definition at line 42 of file gnewfile.h.

## Constructor & Destructor Documentation

GSmtp::NewFile::~NewFile | ( |  | ) |
| virtual

Destructor.

If the new message has not been commit()ed then the files are deleted.

Definition at line 63 of file gnewfile.cpp.

## Member Function Documentation

void GSmtp::NewFile::commit | ( | bool | strict | ) |
| override virtual

Override from GSmtp::NewMessage.

The implementation renames the ".new" envelope file, removing the extension.

Implements GSmtp::NewMessage.

Definition at line 110 of file gnewfile.cpp.

std::string GSmtp::NewFile::prepare | ( | const std::string & | auth_id,
|  | const std::string & | peer_socket_address,
|  | const std::string & | peer_certificate
| ) |  |
| override virtual

Override from GSmtp::NewMessage.

The implementation flushes and closes the content stream, creates a new envelope file (".new"), and does any local 'delivery' by creating ".local" copies. The path to the content file is returned.

Implements GSmtp::NewMessage.

Definition at line 86 of file gnewfile.cpp.

The documentation for this class was generated from the following files:

- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gsmtp/gnewfile.h
- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gsmtp/gnewfile.cpp